package com.inspect.ivs.view;

import com.inspect.ivs.domain.MediaAddr;
import java.io.Serializable;

public class IvsStartRecView implements Serializable {
   private MediaAddr mediaAddrSrc;
   private String handle;

   public MediaAddr getMediaAddrSrc() {
      return this.mediaAddrSrc;
   }

   public String getHandle() {
      return this.handle;
   }

   public void setMediaAddrSrc(MediaAddr mediaAddrSrc) {
      this.mediaAddrSrc = mediaAddrSrc;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsStartRecView)) {
         return false;
      } else {
         IvsStartRecView other = (IvsStartRecView)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            Object this$mediaAddrSrc = this.getMediaAddrSrc();
            Object other$mediaAddrSrc = other.getMediaAddrSrc();
            if(this$mediaAddrSrc == null) {
               if(other$mediaAddrSrc != null) {
                  return false;
               }
            } else if(!this$mediaAddrSrc.equals(other$mediaAddrSrc)) {
               return false;
            }

            Object this$handle = this.getHandle();
            Object other$handle = other.getHandle();
            if(this$handle == null) {
               if(other$handle != null) {
                  return false;
               }
            } else if(!this$handle.equals(other$handle)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsStartRecView;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $mediaAddrSrc = this.getMediaAddrSrc();
      result = result * 59 + ($mediaAddrSrc == null?43:$mediaAddrSrc.hashCode());
      Object $handle = this.getHandle();
      result = result * 59 + ($handle == null?43:$handle.hashCode());
      return result;
   }

   public String toString() {
      return "IvsStartRecordView(mediaAddrSrc=" + this.getMediaAddrSrc() + ", handle=" + this.getHandle() + ")";
   }
}
